Bug 798734 - [abrt] codeblocks-10.05-5.fc15: _int_free: Process /usr/bin/codeblocks was killed by signal 11 (SIGSEGV)
[abrt] codeblocks-10.05-5.fc15: _int_free: Process /usr/bin/codeblocks was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: codeblocks (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
abrt_hash:83d2a98b53b3043e45e5f95c166...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 12:11 EST by Mehmet Akif Taşova
Modified: 2013-02-13 08:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:40:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.14 KB, text/plain)
2012-02-29 12:11 EST, Mehmet Akif Taşova
no flags Details
File: maps (60.78 KB, text/plain)
2012-02-29 12:12 EST, Mehmet Akif Taşova
no flags Details
File: dso_list (13.67 KB, text/plain)
2012-02-29 12:12 EST, Mehmet Akif Taşova
no flags Details
File: build_ids (5.25 KB, text/plain)
2012-02-29 12:12 EST, Mehmet Akif Taşova
no flags Details

  None (edit)
Description Mehmet Akif Taşova 2012-02-29 12:11:54 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 3
cmdline:        codeblocks /home/makiftasova/Desktop/C_Works/GCD_LCM.c
crash_function: _int_free
executable:     /usr/bin/codeblocks
kernel:         3.2.7-1.fc16.x86_64
pid:            5449
pwd:            /home/makiftasova
reason:         Process /usr/bin/codeblocks was killed by signal 11 (SIGSEGV)
time:           Wed 29 Feb 2012 18:49:54 EET
uid:            1000
username:       makiftasova
xsession_errors: 

backtrace:      Text file, 34960 bytes
build_ids:      Text file, 5371 bytes
dso_list:       Text file, 13994 bytes
maps:           Text file, 62238 bytes

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=makiftasova
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=4d855b57eb82cb72f5fc293e00000010-1330532786.788343-876838479
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-ZCGn80
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=makiftasova
:USERNAME=makiftasova
:MAIL=/var/spool/mail/makiftasova
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/makiftasova/.local/bin:/home/makiftasova/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/makiftasova
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=2787
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/makiftasova
:XDG_SEAT=seat0
:SHLVL=1
:LANGUAGE=en_US.UTF-8
:LOGNAME=makiftasova
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-qFpinYVjYE,guid=555d7067a9688c6f872af2720000019d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/makiftasova
:DISPLAY=:0.0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-makiftasova-dRfxbo/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2792,unix/unix:/tmp/.ICE-unix/2792
:SSH_AUTH_SOCK=/tmp/keyring-ZCGn80/ssh
:GPG_AGENT_INFO=/tmp/keyring-ZCGn80/gpg:0:1
:LC_TIME=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_MONETARY=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:DESKTOP_AUTOSTART_ID=1073b6f8b57e9e91d3133053278714442200000027920036
:DESKTOP_STARTUP_ID=nautilus-3100-makiftasova-codeblocks-3_TIME1754800
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-codeblocks.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5449

event_log:
:2012-02-29-19:06:11> Analyzing coredump 'coredump'
:2012-02-29-19:06:24  All 131 debuginfo files are available
:2012-02-29-19:06:24  Generating backtrace
:2012-02-29-19:06:33  Backtrace is generated and saved, 34960 bytes
:2012-02-29-19:11:31> Element 'xsession_errors' saved
:2012-02-29-19:11:32> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: ddda6e49-428d-4f8f-9a94-d8a893505cb9
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 3991.37
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2001
:System Memory: 3866
:System Swap: 28188
:Vendor: ASUSTeK Computer Inc.
:System: K53SV 1.0
:Form factor: Laptop
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:4163:4727) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4332:33128:4163:4727) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:278:4163:5618) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:4163:4727) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:4163:4727) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4163:4727) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4163:6851) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4163:4727) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:43:6715:11319) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(4318:3572:4163:5618) pci, nouveau, VIDEO, GF106 [GeForce GT 555M SDDR3]
:(32902:7213:4163:4727) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4163:4727) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4163:4727) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4163:4727) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4163:4727) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:4163:4727) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 79908951 20142727 16142727 20004864 19390345 19390345
:

var_log_messages:
:Feb 29 18:49:54 makiftasova kernel: [ 1821.001181] codeblocks[5449]: segfault at 1318 ip 0000003b9487e12f sp 00007fffdc019020 error 4 in libc-2.14.90.so[3b94800000+1ad000]
:Feb 29 18:49:56 makiftasova abrt[5525]: Saved core dump of pid 5449 (/usr/bin/codeblocks) to /var/spool/abrt/ccpp-2012-02-29-18:49:54-5449 (77029376 bytes)
Comment 1 Mehmet Akif Taşova 2012-02-29 12:11:59 EST
Created attachment 566596 [details]
File: backtrace
Comment 2 Mehmet Akif Taşova 2012-02-29 12:12:03 EST
Created attachment 566597 [details]
File: maps
Comment 3 Mehmet Akif Taşova 2012-02-29 12:12:06 EST
Created attachment 566598 [details]
File: dso_list
Comment 4 Mehmet Akif Taşova 2012-02-29 12:12:09 EST
Created attachment 566599 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-01-16 08:00:02 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 08:40:03 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.